/// class PD.Manage.Modules.SystemVariables.SystemVariablesContextMenu
// using PD.Web.UI.Controls.ContextMenuSegment

PD.Manage.Modules.SystemVariables.SystemVariablesContextMenu =
PD.Web.UI.Controls.ContextMenuSegment.extend({

    //===================================
    // EVENT HANDLERS
    //===================================

    onRegisterItems: function (e) {

        e.registerItem(new PD.Web.UI.Controls.ContextMenuCommandItem({
            commandId: "pd/system-variables/context-menu:variable/edit"
        }));

        e.registerItem(new PD.Web.UI.Controls.ContextMenuCommandItem({
            commandId: "pd/system-variables/context-menu:variable/delete"
        }));

    },

    onOpen: function (e) {

        PD.context.get_default().get_commands().setState({
            "pd/system-variables/context-menu": {
                tags: this.get_context()["selections"]
            }
        });

    }

});